### Function

# GdkX11 X11Displayopen

#### Declaration [src]

    GdkDisplay*
    gdk_x11_display_open (
      const char* display_name
    )

#### Description [src]

Tries to open a new display to the X server given by `display_name`. If opening the display fails, `NULL` is returned.

#### Parameters

`display_name`

  Type: `const char*`

  Name of the X display. See the XOpenDisplay() for details.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GdkDisplay`

The new display.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.